IWYU_TOOL.PY(1)

NAME
iwyu_tool.py - Include-what-you-use compilation database driver

DESCRIPTION
usage: iwyu_tool.py [-h] [-v] [-o {clang,iwyu}] [-j JOBS] -p <build-path>

[source [source ...]] -- [<IWYU args>]
    [source [source ...]]

Include-what-you-use compilation database driver.

  positional arguments:

source
    Zero or more source files to run IWYU on. Defaults to all in compilation database.

  optional arguments:

-h, --help
    show this help message and exit

-v, --verbose
    Print IWYU commands

-o {clang,iwyu}, --output-format {clang,iwyu}
    Output format (default: iwyu)

-j JOBS, --jobs JOBS
    Number of concurrent subprocesses

-p <build-path>
    Compilation database path

Assumes include-what-you-use is available on the PATH.